'use strict';

function getWinOrOsxShortcut(url) {
  return '[InternetShortcut]\nURL=' + url + '\n';
}

function getUnixShortcut(url) {
  return '[Desktop Entry]\nEncoding=UTF-8\nURL=' + url + '\nType=Link\nIcon=text-html\n';
}

module.exports = function (url) {
  var shortcut = void 0;

  if (process.platform == 'darwin' || process.platform == 'win32') {
    shortcut = {
      value: getWinOrOsxShortcut(url),
      ext: 'url'
    };
  } else {
    shortcut = {
      value: getUnixShortcut(url),
      ext: 'desktop'
    };
  }

  return shortcut;
};
//# sourceMappingURL=index.js.map